use strict;

return sub
{
	my $dbh = shift;
	

	my $sth = $dbh->prepare("select code,step_id,param_id from jin_funnel_visit where action='display' and splitpage_id=0");
	$sth->execute;

	my $sth1 = $dbh->prepare("update jin_funnel_visit set splitpage_id=? where code=? and step_id=?");

	while (my $row = $sth->fetchrow_hashref)
	{
		$sth1->execute($row->{param_id}, $row->{code}, $row->{step_id});
	}
	
	return;
};
